Bug 472186 - mount -a has problems with duplicate labels in a mpath setup
mount -a has problems with duplicate labels in a mpath setup
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: util-linux (Show other bugs)
4.7
All Linux
medium Severity medium
: rc
: ---
Assigned To: Karel Zak
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-19 03:59 EST by Tom G. Christensen
Modified: 2009-09-03 10:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:02:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Quick hack to teach mount -a about fstab.order (614 bytes, patch)
2008-11-19 03:59 EST, Tom G. Christensen
no flags Details | Diff

  None (edit)
Description Tom G. Christensen 2008-11-19 03:59:01 EST
Created attachment 324012 [details]
Quick hack to teach mount -a about fstab.order

Description of problem:
mount -a erroneously trieds to remount filesystems that are on mpath devices.
fstab.order is ignored and the underlying devices making up the mpath device interferes.

This seems to be a cornercase that the duplicate label handling from bz#155430 does not cover.

Version-Release number of selected component (if applicable):
util-linux-2.12a-20.el4

How reproducible:
100%

Steps to Reproduce:
1. Create a mpath device from unpartioned LUNs
2. Create a filesystem directly onto the mpath device
3. Run mount -a twice
  
Actual results:
# mount -a
mount: /dev/mapper/mpath11 already mounted or /netarkiv/0001 busy
mount: according to mtab, /dev/mapper/mpath11 is already mounted on /netarkiv/0001
mount: /dev/mapper/mpath10 already mounted or /netarkiv/0002 busy
mount: according to mtab, /dev/mapper/mpath10 is already mounted on /netarkiv/0002
mount: /dev/mapper/mpath13 already mounted or /netarkiv/0003 busy
mount: according to mtab, /dev/mapper/mpath13 is already mounted on /netarkiv/0003
mount: /dev/mapper/mpath12 already mounted or /netarkiv/0004 busy
mount: according to mtab, /dev/mapper/mpath12 is already mounted on /netarkiv/0004
mount: /dev/mapper/mpath14 already mounted or /pindar/001 busy
mount: according to mtab, /dev/mapper/mpath14 is already mounted on /pindar/001

Expected results:
# mount -a

Additional info:
# mount -l
/dev/mapper/vg00-rootvol on / type ext3 (rw) []
none on /proc type proc (rw)
none on /sys type sysfs (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
usbfs on /proc/bus/usb type usbfs (rw)
/dev/sda1 on /boot type ext3 (rw) [/boot]
none on /dev/shm type tmpfs (rw)
/dev/mapper/vg00-homevol on /home type ext3 (rw) []
/dev/mapper/mpath11 on /netarkiv/0001 type ext3 (rw) [/netarkiv/0001]
/dev/mapper/mpath10 on /netarkiv/0002 type ext3 (rw) [/netarkiv/0002]
/dev/mapper/mpath13 on /netarkiv/0003 type ext3 (rw) [/netarkiv/0003]
/dev/mapper/mpath12 on /netarkiv/0004 type ext3 (rw) [/netarkiv/0004]
/dev/mapper/mpath14 on /pindar/001 type ext3 (rw) [/pindar/001]
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)

# cat /etc/mtab
/dev/mapper/vg00-rootvol / ext3 rw 0 0
none /proc proc rw 0 0
none /sys sysfs rw 0 0
none /dev/pts devpts rw,gid=5,mode=620 0 0
usbfs /proc/bus/usb usbfs rw 0 0
/dev/sda1 /boot ext3 rw 0 0
none /dev/shm tmpfs rw 0 0
/dev/mapper/vg00-homevol /home ext3 rw 0 0
/dev/mapper/mpath11 /netarkiv/0001 ext3 rw 0 0
/dev/mapper/mpath10 /netarkiv/0002 ext3 rw 0 0
/dev/mapper/mpath13 /netarkiv/0003 ext3 rw 0 0
/dev/mapper/mpath12 /netarkiv/0004 ext3 rw 0 0
/dev/mapper/mpath14 /pindar/001 ext3 rw 0 0
none /proc/sys/fs/binfmt_misc binfmt_misc rw 0 0
sunrpc /var/lib/nfs/rpc_pipefs rpc_pipefs rw 0 0

# multipath -ll
mpath14 (36006016092ac1a002a9b7f89d275dd11)
[size=500 GB][features="1 queue_if_no_path"][hwhandler="1 emc"]
\_ round-robin 0 [prio=2][active]
 \_ 1:0:1:0 sdc 8:32  [active][ready]
 \_ 2:0:0:0 sdl 8:176 [active][ready]
\_ round-robin 0 [enabled]
 \_ 1:0:0:0 sdb 8:16  [active][ready]
 \_ 2:0:1:0 sdm 8:192 [active][ready]

mpath13 (36006016042cf1900842033cd3daddc11)
[size=7337 GB][features="1 queue_if_no_path"][hwhandler="1 emc"]
\_ round-robin 0 [prio=2][active]
 \_ 1:0:3:3 sdk 8:160 [active][ready]
 \_ 2:0:3:3 sdu 65:64 [active][ready]
\_ round-robin 0 [enabled]
 \_ 1:0:2:3 sdg 8:96  [active][ready]
 \_ 2:0:2:3 sdq 65:0  [active][ready]

mpath12 (36006016042cf190078295f07ae0bdd11)
[size=4051 GB][features="1 queue_if_no_path"][hwhandler="1 emc"]
\_ round-robin 0 [prio=2][active]
 \_ 1:0:3:2 sdj 8:144 [active][ready]
 \_ 2:0:3:2 sdt 65:48 [active][ready]
\_ round-robin 0 [enabled]
 \_ 1:0:2:2 sdf 8:80  [active][ready]
 \_ 2:0:2:2 sdp 8:240 [active][ready]

mpath11 (36006016042cf190060e177fead0bdd11)
[size=5120 GB][features="1 queue_if_no_path"][hwhandler="1 emc"]
\_ round-robin 0 [prio=2][active]
 \_ 1:0:3:1 sdi 8:128 [active][ready]
 \_ 2:0:3:1 sds 65:32 [active][ready]
\_ round-robin 0 [enabled]
 \_ 1:0:2:1 sde 8:64  [active][ready]
 \_ 2:0:2:1 sdo 8:224 [active][ready]

mpath10 (36006016042cf1900b88f6fac3daddc11)
[size=7337 GB][features="1 queue_if_no_path"][hwhandler="1 emc"]
\_ round-robin 0 [prio=2][active]
 \_ 1:0:2:0 sdd 8:48  [active][ready]
 \_ 2:0:2:0 sdn 8:208 [active][ready]
\_ round-robin 0 [enabled]
 \_ 1:0:3:0 sdh 8:112 [active][ready]
 \_ 2:0:3:0 sdr 65:16 [active][ready]
Comment 3 Jan Ščotka 2009-03-09 12:38:35 EDT
tested on system with device supporting multipath, and no problem appear in old and new version. (disto RHEL5U3, and installed old util-linux packages)
Comment 4 Jan Ščotka 2009-03-25 11:06:47 EDT
still waiting on proper system (in progress)
Comment 7 errata-xmlrpc 2009-05-18 15:02:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0981.html

Note You need to log in before you can comment on or make changes to this bug.